Subject: bug#58149: guix pull error

From: zimoun <[email-masked]>
Date: Thu, 29 Sep 2022 00:06:56 +0200

Hi Matthieu,

> (base) mhaefele@mdlspc113:work $ guix pull
> Updating channel 'guix-hpc-non-free' from Git repository at 'https://gitlab.inria.fr/guix-hpc/guix-hpc-non-free.git'...
> Updating channel 'guix-hpc' from Git repository at 'https://gitlab.inria.fr/guix-hpc/guix-hpc.git'...
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Building from these channels:
>    guix      https://git.savannah.gnu.org/git/guix.git    5723c51
> guix-hpc-non-freehttps://gitlab.inria.fr/guix-hpc/guix-hpc-non-free.git e93c9b3
>    guix-hpc  https://gitlab.inria.fr/guix-hpc/guix-hpc.git b0fd5e5
> Backtrace:
>             3 (apply-smob/1 #<catch-closure 7ad6c0>)
> In ice-9/boot-9.scm:
>      705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
> In ice-9/eval.scm:
>      619:8  1 (_ #(#(#<directory (guile-user) 8a3140>)))
> In guix/ui.scm:
>    1747:12  0 (run-guix-command _ . _)

> guix/ui.scm:1747:12: In procedure run-guix-command:
> unsupported compression scheme lzip
> substitution of /gnu/store/cl848nafh6912wv6cigqgb89ihspx876-module-import failed
> guix pull: error: some substitutes for the outputs of derivation 
> `/gnu/store/j6gy0lzd5aq6nkssy4s7iilivwqbknbd-compute-guix-derivation.drv' failed (usually happens due to networking issues); try 
> `--fallback' to build derivation from source

This error is probably because an issue with guix-hpc-non-free.  Hum,
the «unsupported compression scheme lzip» appears to me unexpected.
Ludo, how the substitutes for this channel are they managed?

> Then I followed the recommendation to add the --fallback option, but it failed also

> substitution of /gnu/store/81n58x4293zwhvydzvvnypcz7y59jqmx-libtool-2.4.6 complete
> building
> /gnu/store/jp56smaypnaxsjlmbba4hl98pnyj4m19-cmake-bootstrap-3.21.4.drv...

Hum, I get a substitute for this one.

> / 'check' phasebuilder for `/gnu/store/jp56smaypnaxsjlmbba4hl98pnyj4m19-cmake-bootstrap-3.21.4.drv' failed with exit code 1
> Backtrace:

[...]

> ./guix/store.scm:1414:15: In procedure loop:
> ERROR:
>    1. &store-protocol-error:
>        message: "build of `/gnu/store/lzwr034rqi7wwcc7d3221b9kh1y54dzx-guile-git-0.5.2.drv' failed"

I also get an substitute for this other one.

>        status: 100
> guix pull: error: You found a bug: the program '/gnu/store/mf7gyni499bql0y1zi3v0wdffpxj0jgn-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "5723c511c2d162e86b6d22592f90faf387c6daaf"; system: "x86_64-linux";
> host version: "855097683230b756ba28636bed03ce904b6f3589"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

And “guix time-machine” passes on my desktop machine using these both
commits.

Cheers,
simon